import article from "@/icon/article.svg";
import navi from "@/icon/navi.svg";
import orange from "@/icon/orange.svg";
import pic from "@/icon/pic.svg";
import profile from "@/icon/profile.svg";
import { NIcon } from "naive-ui";
import { RouterLink } from "vue-router";
const options = [
  {
    label: () => h(RouterLink, { to: "/home", class: "menu-item" }, { default: () => "返回首页" }),
    key: "0",
    icon: () => h(NIcon, { class: "orange" }, { default: () => h(orange) }),
  },
  {
    label: () => h(RouterLink, { to: "/console/profile", class: "menu-item" }, { default: () => "个人信息" }),
    key: "1",
    icon: () => h(NIcon, { class: "orange" }, { default: () => h(profile) }),
  },
  {
    label: () => h(RouterLink, { to: "/console/gallery", class: "menu-item" }, { default: () => "画廊管理" }),
    key: "2",
    icon: () => h(NIcon, { class: "orange" }, { default: () => h(pic) }),
  },
  {
    label: () => h(RouterLink, { to: "/console/article", class: "menu-item" }, { default: () => "文章管理" }),
    key: "3",
    icon: () => h(NIcon, { class: "orange" }, { default: () => h(article) }),
  },
  {
    label: () => h(RouterLink, { to: "/console/menu", class: "menu-item" }, { default: () => "导航管理" }),
    key: "4",
    icon: () => h(NIcon, { class: "orange" }, { default: () => h(navi) }),
  },
];

const consoleMenuInfo = {
  options,
  menuList: ["/console/home", "/console/profile", "/console/gallery", "/console/article","/console/menu",],
};
export default consoleMenuInfo;
