/** @type {import('tailwindcss').Config} */
module.exports = {
  // purge: ["./index.html", "./src/**/*.{vue,js,ts,jsx,tsx}"],
  // purge: ["./index.html", "./src/**/*.{vue,js,ts,jsx,tsx}"],
  content: [
    // Example content paths...
    "./public/**/*.html",
    "./src/**/*.{js,jsx,ts,tsx,vue}",
  ],
  theme: {
    extend: {},
    screens: {
      sm: { max: "767px" },
      md: { max: "1023px" },
      lg: { max: "1279px" },
      xl: { max: "1535px" },
      "2xl": { min: "1536px" },
    },
    colors: {
      pp: {
        100: "#BE8AEF",
        200: "#B172EC",
        300: "#A45BE9",
        400: "#9744E5",
        500: "#8A2BE2",
        600: "#7B1DD3",
        700: "#6C19B9",
        800: "#5C169F",
        900: "#4D1284",
        default: "#8A2BE2",
      },
      orange: {
        500: "#ffa500",
        default: "#ffa500"
      },
      suc: {
        500: "#52c41a",
        default: "#52c41a"

      }
    },
  },
  plugins: [],
};
